
QGIS Application - Bug report #20146

QGIS 3.2.3 Bonn and GRASS 7. r.texture does not provide any output.

2018-10-17 10:08 PM - Odysseas Vl

Status: Closed

Priority: Normal

Assignee:

Category: Processing/GRASS

Affected QGIS version:3.2.3 Regression?: No

Operating System: Windows 10 64bit Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 27967

Description

QGIS 3.2.3 Bonn and GRASS 7. r.texture does not provide any output. Not in temp folders, not in user defined folders.

I have tried the function in Windows 10 64bit. On the same systems, QGIS 2.18 provided the outputs fine.

LOG outputs are like this:

Suspicious message "_r was unexpected at this time._"

    Processing algorithm… Algorithm 'r.texture' starting… Input parameters: { '-a' : False, '-s' : False,

'GRASS_REGION_CELLSIZE_PARAMETER' : 0, 'GRASS_REGION_PARAMETER' : None, 'distance' : 1, 'input' :

'C:/Users/.../AppData/Local/Temp/processing_b31ae406d97346319858b8acfa3fe9ea/d40ba480206c44e1855a50ce4442b154/output.tif', 'method' : [0], 'output' : 'C:\Users\...\textures', 'size' : 3 }

    g.proj -c proj4="+proj=utm +zone=...+datum=WGS84 +units=m +no_defs" r.external input="C:\Users...\AppData\Local\Temp\processin

utput.tif', 'method' : [0], 'output' : 'C:\Users\...\textures', 'size' : 3 }

    g.proj -c proj4="+proj=utm +zone=...+datum=WGS84 +units=m +no_defs" r.external

input="C:\Users...\AppData\Local\Temp\processing_b31ae406d97346319858b8acfa3fe9ea\d40ba480206c44e1855a50ce4442b154\output.tif" band=1 output="rast_5bc7529c4be7121" --overwrite -o g.region n=...s=...e=...w=... res=0.08917000000001485 r.texture input=rast_5bc7529c4be7121 method="asm" size=3 distance=1 output=output0721b2f6bc07456a8304b894c5bcf6e4 --overwrite for r in $(g.list type=rast pattern='output0721b2f6bc07456a8304b894c5bcf6e4*'); do r.out.gdal -m -t input=${r} output=C:\Users...\textures/${r}.tif --overwrite -c createopt="TFW=YES,COMPRESS=LZW" done Starting GRASS GIS...

    WARN

154\output.tif" band=1 output="rast_5bc7529c4be7121" --overwrite -o g.region n=...s=...e=...w=... res=0.08917000000001485

r.texture input=rast_5bc7529c4be7121 method="asm" size=3 distance=1 output=output0721b2f6bc07456a8304b894c5bcf6e4

--overwrite for r in $(g.list type=rast pattern='output0721b2f6bc07456a8304b894c5bcf6e4*'); do r.out.gdal -m -t input=${r}

output=C:\Users...\textures/${r}.tif --overwrite -c createopt="TFW=YES,COMPRESS=LZW" done Starting GRASS GIS...

    WARNING: Concurrent mapset locking is not supported on Windows

    Executing ...

    C:\OSGEO4~1\bin>chcp 1252 1>NUL

    C:\OSGEO4~1\bin>g.proj -c proj4="+proj=utm +zone=...+datum=WGS84 +units=m +no_defs" 

    Default region was updated to the new projection, but if you have multiple mapsets g.region -d should be run in each to update

the region from the default

    Projection information updated

    C:\OSGEO4~1\bin>r.external

input="C:\Users...\AppData\Local\Temp\processing_b31ae406d97346319858b8acfa3fe9ea\d40ba480206c44e1855a50ce4442b154\output.tif" band=1 output="rast_5bc7529c4be7121" --overwrite -o

    Over-riding projection check

    Reading band 1 of 1...

    r.external complete. Link to raster map created.

    C:\OSGEO4~1\bin>g.region n=...s=... e=...w=... res=0.08917000000001485

    C:\OSGEO4~1\bin>r.texture input=rast_5bc7529c4be7121 method="asm" size=3 distance=1 output=output0721b2f6bc07456a8304b894c5bcf6e4 --overwrite

    Reading raster map...

    Calculating Angular Second Moment...

    2..5..8..11..14..17..20..23..26..29..32..35..38..41..44..47..50..53..56..59..62..65..68..71..74..77..80..83..86..89..92..95..98..100

    r was unexpected at this time.

    C:\OSGEO4~1\bin>for r in $(g.list type=rast pattern='output0721b2f6bc07456a8304b894c5bcf6e4*'); do

    Execution of finished.

    Cleaning up temporary files...

    Press any key to continue . . .

    Starting GRASS GIS...

    WARNING: Concurrent mapset locking is not supported on Windows

    Executing ...

    C:\OSGEO4~1\bin>chcp 1252 1>NUL

    r was unexpected at this time.

    C:\OSGEO4~1\bin>for r in $(g.list type=rast pattern='output0721b2f6bc07456a8304b894c5bcf6e4*'); do

    Execution of finished.

    Cleaning up temporary files...

    Press any key to continue . . .

    Execution completed in 7.08 seconds Results: {'output': 'C:\Users\...\textures'}

    Loading resulting layers Algorithm 'r.texture' finished


154\output.tif" band=1 output="rast_5bc7529c4be7121" --overwrite -o

    Over-riding projection check

    Reading band 1 of 1...
    r.external complete. Link to raster map created.

    C:\OSGEO4~1\bin>g.region n=...s=... e=...w=... res=0.08917000000001485

    C:\OSGEO4~1\bin>r.texture input=rast_5bc7529c4be7121 method="asm" size=3 distance=1

output=output0721b2f6bc07456a8304b894c5bcf6e4 --overwrite

    Reading raster map...

    Calculating Angular Second Moment...

    2..5..8..11..14..17..20..23..26..29..32..35..38..41..44..47..50..53..56..59..62..65..68..71..74..77..80..83..86..89..92..95..98..100

    r was unexpected at this time.

    C:\OSGEO4~1\bin>for r in $(g.list type=rast pattern='output0721b2f6bc07456a8304b894c5bcf6e4*'); do

    Execution of finished.

    Cleaning up temporary files...

    Press any key to continue . . .

    Starting GRASS GIS...

    WARNING: Concurrent mapset locking is not supported on Windows

    Executing ...

    C:\OSGEO4~1\bin>chcp 1252 1>NUL

    r was unexpected at this time.

    C:\OSGEO4~1\bin>for r in $(g.list type=rast pattern='output0721b2f6bc07456a8304b894c5bcf6e4*'); do

    Execution of finished.

    Cleaning up temporary files...

    Press any key to continue . . .

    Execution completed in 7.08 seconds Results: {'output': 'C:\Users\...\textures'}

    Loading resulting layers Algorithm 'r.texture' finished

Related issues:

Duplicates QGIS Application - Bug report # 18009: r.tile fails only on Window... Closed 2018-01-31

Duplicated by QGIS Application - Bug report # 20281: QGIS 3.4: Python error w... Closed 2018-10-30

Associated revisions

Revision b39e5a09 - 2018-11-11 03:15 AM - Jürgen Fischer
processing: add windows support to exportRasterLayersIntoDirectory (fixes #20146)

Revision c13c97ee - 2018-11-11 10:10 PM - Jürgen Fischer

processing: add windows support to exportRasterLayersIntoDirectory (fixes #20146)

(cherry picked from commit b39e5a0937e5e317b42088e8a8ccae327ae8e033)

History

#1 - 2018-10-18 02:18 PM - Giovanni Manghi

- Status changed from Open to Feedback

Can you provide some sample data we can use with this tool?

#2 - 2018-10-18 02:28 PM - Giovanni Manghi

it worked here (with a random raster): the output (the tool ask for a folder path) must be specified, then inside the folder the tiff is created but not added to

the project automatically. The output for this tool is a folder or a file?

#3 - 2018-10-18 02:38 PM - Giovanni Manghi

yeah... there are a bunch of GRASS tools that can output multiple rasters... so the solution in Processing is to make the output a folder...

#4 - 2018-10-22 11:22 PM - Odysseas Vl

Giovanni Manghi wrote:

yeah... there are a bunch of GRASS tools that can output multiple rasters... so the solution in Processing is to make the output a folder...

Thanks for the input, but

First line:

Processing algorithm… Algorithm 'r.texture' starting… Input parameters: { '-a' : False, '-s' : False, 'GRASS_REGION_CELLSIZE_PARAMETER' : 0,

'GRASS_REGION_PARAMETER' : None, 'distance' : 1, 'input' :

'C:/Users/.../AppData/Local/Temp/processing_b31ae406d97346319858b8acfa3fe9ea/d40ba480206c44e1855a50ce4442b154/output.tif', 'method' : [0],

'output' : 'C:\Users\...\textures', 'size' : 3 }

I have specified the output folder (C:\Users\...\textures). Did you accurately reproduce the issue? Same OS, same QGIS version etc?

#5 - 2018-11-11 01:09 AM - Jürgen Fischer

- Description updated

#6 - 2018-11-11 03:16 AM - Jürgen Fischer

- Status changed from Feedback to Closed

- % Done changed from 0 to 100
Applied in changeset commit:qgis|b39e5a0937e5e317b42088e8a8ccae327ae8e033.

#7 - 2018-11-11 01:32 PM - Jürgen Fischer

- Duplicates Bug report #18009: r.tile fails only on Windows (2.18.16 and master) added

#8 - 2018-11-11 01:51 PM - Jürgen Fischer

- Duplicated by Bug report #20281: QGIS 3.4: Python error when running "r.texture" on Windows added
